Improve tests and change tests/ directory layout
[lttng-tools.git] / tests / tools / runall.sh
diff --git a/tests/tools/runall.sh b/tests/tools/runall.sh
new file mode 100755 (executable)
index 0000000..5fdbda6
--- /dev/null
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+DIR=$(dirname $0)
+
+tests=( $DIR/test_kernel_data_trace $DIR/test_sessions $DIR/test_ust_data_trace )
+exit_code=0
+
+function start_tests ()
+{
+    for bin in ${tests[@]};
+    do
+        ./$bin
+        # Test must return 0 to pass.
+        if [ $? -ne 0 ]; then
+            exit_code=1
+            break
+        fi
+    done
+}
+
+start_tests
+
+exit $exit_code
This page took 0.02315 seconds and 4 git commands to generate.